Subject: [Sip] RE: [Sip-implementors] contact address changes mid-call

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 18 Jun 2001 02:31:45 -0400

(moving this to [email-masked] as its an open issue)

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Wednesday, June 13, 2001 7:35 PM
> To: [email-masked]
> Subject: [Sip-implementors] contact address changes mid-call
> 
> 
> Hi,
> 
> Section 16.4 of rfc2543bis-03 mainly describes the route set 
> construction
> when a re-INVITE request is sent/received mid-call.
> I was wondering if route set can be changed with a new Contact if a
> non-INVITE request (e.g., ACK, INFO) is received with a 
> Contact header for
> an existing call leg.
> For example, if a UAS receives an ACK with Contact header 
> that is different
> from the one received in the associated INVITE, should the 
> UAS replace the
> previous Contact with the new one?

This is a good question, indeed. I don't know. It comes back to the
existing, larger open issues about record-routing of non-session initiating
methods, like NOTIFY. The problems are related, I think. We can't really
allow Contacts to be updated in an ACK or NOTIFY, but disallow these to
contain record-routes to establish a route set if one hasn't been
established. 

I'm inclined to say no. I know Adam hard argued against this. His impetus
was to establish additional call legs resulting from a forked SUBSCRIBE, by
using the NOTIFY in the reverse direction to contstruct the leg. I don't
like this, since it has problems generalizing. Other mid-call leg methods
won't be sufficient to re-establish complete state. Its only for SUB/NOTIFY
that this works. It won't work for an INFO mid call, for example.

-Jonathan R.
---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/sip